Subject: origin/target notation

From: [email-masked] (Scott Barvick)
Date: Fri, 16 Jul 93 09:21:51 EDT

(from Wayne)
>It therefore appears that the FSM can handle both origin-initiated and
>target-initiated contact sequences.  Also, it appears the link station
>relationship (primary vs. secondary) has no effect on the DLSw
>relationship (origin vs. target).

>    origin/target     = f(who caught the Route Discovery)
>    primary/secondary = f(who caught the Set Mode)

>Obviously for LLC2, Route Discovery = TEST and Set Mode = SABME;

I agree that the state machine supports the case for either side
intiating the CONTACT.  I guess my question was really who are the 
origin and target mac and sap in the CONTACT and subsequent messages
when the DLSw who catches the SABME is also the DLSw who catches the
Route Discovery?  There is a Frame Direction byte in the SSP header
that is supposed to tell you how to look at the origin and target
fields. I think we should all do it the same way, even though
once we have a circuit established, we will all be keying off of
the Remote Data Link Correlator field anyway.

Scott